#include <iostream>
#include <fstream>

int get(int p, int q) {
  if(p < (1 << 24) && q < (1 << 24)) {
    return q - p + 1;
  } else if (p < (1 << 24) && q >= (1 << 24)) {
    return ((1 << 24) - p) + (q >> 23);
  } else return (q >> 23) - (p >> 23) + 1;
}
int main() {
  std::ifstream cin("float.in");
  int t, p, q;
  cin >> t;
  while(t--) {
    cin >> p >> q;
    std::cout << get(p,q) << std::endl;
  }
  return 0;
}
